CGAL 6.2 - dD Geometry Kernel

Loading...
Searching...
No Matches
List of all members | Public Member Functions | Friends
CGAL::Epick_d< DimensionTag >::Point_d Class Reference

`#include <CGAL/Epick_d.h>`

## Definition

template<typename DimensionTag>
class CGAL::Epick_d< DimensionTag >::Point_d

represents a point in the Euclidean space

Is model of
  `DefaultConstructible`
  `Assignable`

## Public Member Functions
| Point_d (double x0, double x1,...)
| introduces a point with coordinates (x0, x1, ...) where the number of coordinates matches the dimension.
template<typename InputIterator >
| Point_d (InputIterator first, InputIterator end)
| introduces a point with coordinate set `[first,end)`.
double | operator[] (int i) const
| returns the i-th coordinate of a point.
Cartesian_const_iterator_d | cartesian_begin () const
| returns an iterator pointing to the zeroth Cartesian coordinate.
Cartesian_const_iterator_d | cartesian_end () const
| returns an iterator pointing beyond the last Cartesian coordinate.

## Friends
bool | operator== (Point_d, Point_d)
| returns whether the points coincide.
bool | operator!= (Point_d, Point_d)
| returns whether the points are distinct.

## Constructor & Destructor Documentation

## ◆ Point_d() [1/2]

template<typename DimensionTag >

CGAL::Epick_d< DimensionTag >::Point_d::Point_d | ( | double | x0,
|  | double | x1,
|  |  | ...
| ) |  |

introduces a point with coordinates (x0, x1, ...) where the number of coordinates matches the dimension.

Precondition
  `DimensionTag` is a fixed dimension, not `Dynamic_dimension_tag`.

## ◆ Point_d() [2/2]

template<typename DimensionTag >
template<typename InputIterator >

CGAL::Epick_d< DimensionTag >::Point_d::Point_d | ( | InputIterator | first,
|  | InputIterator | end
| ) |  |

introduces a point with coordinate set `[first,end)`.

Precondition
  If `DimensionTag` is a fixed dimension, it matches `std::distance(first,end)`.

Template Parameters

  InputIterator | has its value type that is convertible to `double`.

## Member Function Documentation

## ◆ operator[]()

template<typename DimensionTag >

double CGAL::Epick_d< DimensionTag >::Point_d::operator[] | ( | int | i | ) | const

returns the i-th coordinate of a point.

Precondition
  `i` is non-negative and less than the dimension.

## Friends And Related Function Documentation

## ◆ operator!=

template<typename DimensionTag >

bool operator!= | ( | Point_d | ,
|  | Point_d |
| ) |  |
| friend

returns whether the points are distinct.

This may not be safe if the points are the result of inexact constructions.

## ◆ operator==

template<typename DimensionTag >

bool operator== | ( | Point_d | ,
|  | Point_d |
| ) |  |
| friend

returns whether the points coincide.

This may not be safe if the points are the result of inexact constructions.